classification
Title: Typing left parenthesis in IDLE causes intermittent Cocoa Tk crash on OS X
Type: crash Stage: resolved
Components: Versions: Python 3.3, Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: Guilherme.Simões, Steve.OBrien, brianckeegan, goddard, lostdog, ned.deily, roger.serwy, wordtech
Priority: normal Keywords:

Created on 2012-10-09 16:38 by brianckeegan, last changed 2014-10-09 18:16 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
.idlerc-disabled.zip brianckeegan, 2012-10-10 00:00
issue16177_stack_trace.txt lostdog, 2013-04-30 23:31
Messages (18)
msg172493 - (view) Author: Brian Keegan (brianckeegan) Date: 2012-10-09 16:38
I am running IDLE on Mac OS X 10.8.2. Since a recent XCode update, every time I type an open parentheses into either the IDLE shell or an IDLE script, the program hangs and crashes. Uninstalling and re-installing Python 2.7.3 and IDLE have not solved the problem. 

Thank you for your help.

Here is the stack trace:

===

Process:         Python [939]
Path:            /Applications/Python 2.7/IDLE.app/Contents/MacOS/Python
Identifier:      org.python.IDLE
Version:         2.7.3 (2.7.3)
Code Type:       X86 (Native)
Parent Process:  launchd [244]
User ID:         501

Date/Time:       2012-10-09 12:35:26.330 -0400
OS Version:      Mac OS X 10.8.2 (12C60)
Report Version:  10

Interval Since Last Report:          3854 sec
Crashes Since Last Report:           2
Per-App Interval Since Last Report:  414 sec
Per-App Crashes Since Last Report:   2
Anonymous UUID:                      D6AA1A7A-720D-AF63-8D8A-D288BC5CC1FC

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason: 'Error (1000) creating window shape'

Application Specific Backtrace 1:
0   CoreFoundation                      0x94d6012b __raiseError + 219
1   libobjc.A.dylib                     0x9a3c652e objc_exception_throw + 230
2   CoreFoundation                      0x94cbfbbb +[NSException raise:format:] + 139
3   AppKit                              0x91f4a68c _NXCreateWindowWithStyleMask + 302
4   AppKit                              0x91fe11f5 _NSCreateWindow + 57
5   AppKit                              0x91e5f033 -[NSWindow _commonAwake] + 2066
6   AppKit                              0x91f0a4c0 -[NSWindow _makeKeyRegardlessOfVisibility] + 104
7   AppKit                              0x91f0a416 -[NSWindow makeKeyAndOrderFront:] + 35
8   Tk                                  0x00643e0c XMapWindow + 149
9   Tk                                  0x0064aaac TkWmMapWindow + 289
10  Tk                                  0x005a37c3 Tk_MapWindow + 89
11  Tk                                  0x005ad80e MapFrame + 72
12  Tcl                                 0x00513858 TclServiceIdle + 61
13  Tcl                                 0x004f5b6b Tcl_DoOneEvent + 342
14  Tk                                  0x0057f536 Tk_UpdateObjCmd + 190
15  Tcl                                 0x004868a3 TclEvalObjvInternal + 763
16  Tcl                                 0x004878c6 Tcl_EvalObjv + 72
17  _tkinter.so                         0x002d1a62 Tkapp_Call + 210
18  Python                              0x000c20d0 PyEval_EvalFrameEx + 26112
19  Python                              0x000c334b PyEval_EvalFrameEx + 30843
20  Python                              0x000c334b PyEval_EvalFrameEx + 30843
21  Python                              0x000c442c PyEval_EvalCodeEx + 1996
22  Python                              0x0003efbb function_call + 139
23  Python                              0x0000d855 PyObject_Call + 85
24  Python                              0x000bf937 PyEval_EvalFrameEx + 15975
25  Python                              0x000c442c PyEval_EvalCodeEx + 1996
26  Python                              0x0003efbb function_call + 139
27  Python                              0x0000d855 PyObject_Call + 85
28  Python                              0x000bf937 PyEval_EvalFrameEx + 15975
29  Python                              0x000c442c PyEval_EvalCodeEx + 1996
30  Python                              0x0003efbb function_call + 139
31  Python                              0x0000d855 PyObject_Call + 85
32  Python                              0x0001fda5 instancemethod_call + 389
33  Python                              0x0000d855 PyObject_Call + 85
34  Python                              0x000ba85e PyEval_CallObjectWithKeywords + 78
35  _tkinter.so                         0x002cfa24 PythonCmd + 340
36  Tcl                                 0x004830c1 TclInvokeStringCommand + 96
37  Tcl                                 0x004868a3 TclEvalObjvInternal + 763
38  Tcl                                 0x004c35a7 TclExecuteByteCode + 4691
39  Tcl                                 0x004cc82c TclCompEvalObj + 448
40  Tcl                                 0x00487cd0 TclEvalObjEx + 877
41  Tcl                                 0x00487dd1 Tcl_EvalObjEx + 47
42  Tcl                                 0x00513b22 AfterProc + 83
43  Tcl                                 0x005139fc TimerHandlerEventProc + 87
44  Tcl                                 0x004f5867 Tcl_ServiceEvent + 160
45  Tcl                                 0x004f5b5a Tcl_DoOneEvent + 325
46  _tkinter.so                         0x002cf5e2 Tkapp_MainLoop + 450
47  Python                              0x000c20d0 PyEval_EvalFrameEx + 26112
48  Python                              0x000c442c PyEval_EvalCodeEx + 1996
49  Python                              0x000c1ddb PyEval_EvalFrameEx + 25355
50  Python                              0x000c334b PyEval_EvalFrameEx + 30843
51  Python                              0x000c442c PyEval_EvalCodeEx + 1996
52  Python                              0x000c4577 PyEval_EvalCode + 87
53  Python                              0x000e8b2c PyRun_FileExFlags + 172
54  Python                              0x000e8e94 PyRun_SimpleFileExFlags + 596
55  Python                              0x00100efc Py_Main + 3404
56  Python                              0x00001f65 start + 53

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.CoreFoundation      	0x94d60947 ___TERMINATING_DUE_TO_UNCAUGHT_EXCEPTION___ + 7
1   libobjc.A.dylib               	0x9a3c652e objc_exception_throw + 230
2   com.apple.CoreFoundation      	0x94cbfbbb +[NSException raise:format:] + 139
3   com.apple.AppKit              	0x91f4a68c _NXCreateWindowWithStyleMask + 302
4   com.apple.AppKit              	0x91fe11f5 _NSCreateWindow + 57
5   com.apple.AppKit              	0x91e5f033 -[NSWindow _commonAwake] + 2066
6   com.apple.AppKit              	0x91f0a4c0 -[NSWindow _makeKeyRegardlessOfVisibility] + 104
7   com.apple.AppKit              	0x91f0a416 -[NSWindow makeKeyAndOrderFront:] + 35
8   Tk                            	0x00643e0c XMapWindow + 149
9   Tk                            	0x0064aaac TkWmMapWindow + 289
10  Tk                            	0x005a37c3 Tk_MapWindow + 89
11  Tk                            	0x005ad80e MapFrame + 72
12  Tcl                           	0x00513858 TclServiceIdle + 61
13  Tcl                           	0x004f5b6b Tcl_DoOneEvent + 342
14  Tk                            	0x0057f536 Tk_UpdateObjCmd + 190
15  Tcl                           	0x004868a3 TclEvalObjvInternal + 763
16  Tcl                           	0x004878c6 Tcl_EvalObjv + 72
17  _tkinter.so                   	0x002d1a62 Tkapp_Call + 210
18  org.python.python             	0x000c20d0 PyEval_EvalFrameEx + 26112
19  org.python.python             	0x000c334b PyEval_EvalFrameEx + 30843
20  org.python.python             	0x000c334b PyEval_EvalFrameEx + 30843
21  org.python.python             	0x000c442c PyEval_EvalCodeEx + 1996
22  org.python.python             	0x0003efbb function_call + 139
23  org.python.python             	0x0000d855 PyObject_Call + 85
24  org.python.python             	0x000bf937 PyEval_EvalFrameEx + 15975
25  org.python.python             	0x000c442c PyEval_EvalCodeEx + 1996
26  org.python.python             	0x0003efbb function_call + 139
27  org.python.python             	0x0000d855 PyObject_Call + 85
28  org.python.python             	0x000bf937 PyEval_EvalFrameEx + 15975
29  org.python.python             	0x000c442c PyEval_EvalCodeEx + 1996
30  org.python.python             	0x0003efbb function_call + 139
31  org.python.python             	0x0000d855 PyObject_Call + 85
32  org.python.python             	0x0001fda5 instancemethod_call + 389
33  org.python.python             	0x0000d855 PyObject_Call + 85
34  org.python.python             	0x000ba85e PyEval_CallObjectWithKeywords + 78
35  _tkinter.so                   	0x002cfa24 PythonCmd + 340
36  Tcl                           	0x004830c1 TclInvokeStringCommand + 96
37  Tcl                           	0x004868a3 TclEvalObjvInternal + 763
38  Tcl                           	0x004c35a7 TclExecuteByteCode + 4691
39  Tcl                           	0x004cc82c TclCompEvalObj + 448
40  Tcl                           	0x00487cd0 TclEvalObjEx + 877
41  Tcl                           	0x00487dd1 Tcl_EvalObjEx + 47
42  Tcl                           	0x00513b22 AfterProc + 83
43  Tcl                           	0x005139fc TimerHandlerEventProc + 87
44  Tcl                           	0x004f5867 Tcl_ServiceEvent + 160
45  Tcl                           	0x004f5b5a Tcl_DoOneEvent + 325
46  _tkinter.so                   	0x002cf5e2 Tkapp_MainLoop + 450
47  org.python.python             	0x000c20d0 PyEval_EvalFrameEx + 26112
48  org.python.python             	0x000c442c PyEval_EvalCodeEx + 1996
49  org.python.python             	0x000c1ddb PyEval_EvalFrameEx + 25355
50  org.python.python             	0x000c334b PyEval_EvalFrameEx + 30843
51  org.python.python             	0x000c442c PyEval_EvalCodeEx + 1996
52  org.python.python             	0x000c4577 PyEval_EvalCode + 87
53  org.python.python             	0x000e8b2c PyRun_FileExFlags + 172
54  org.python.python             	0x000e8e94 PyRun_SimpleFileExFlags + 596
55  org.python.python             	0x00100efc Py_Main + 3404
56  Python                        	0x00001f65 start + 53

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x92c879ae kevent + 10
1   libdispatch.dylib             	0x9874bc71 _dispatch_mgr_invoke + 993
2   libdispatch.dylib             	0x9874b7a9 _dispatch_mgr_thread + 53

Thread 2:
0   libsystem_kernel.dylib        	0x92c86be6 __select + 10
1   Tcl                           	0x0052dddc NotifierThreadProc + 628
2   libsystem_c.dylib             	0x90024557 _pthread_start + 344
3   libsystem_c.dylib             	0x9000ecee thread_start + 34

Thread 3:
0   libsystem_kernel.dylib        	0x92c870ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x9002704c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x90026e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x9000ecca start_wqthread + 30

Thread 4:
0   libsystem_kernel.dylib        	0x92c870ee __workq_kernreturn + 10
1   libsystem_c.dylib             	0x9002704c _pthread_workq_return + 45
2   libsystem_c.dylib             	0x90026e19 _pthread_wqthread + 448
3   libsystem_c.dylib             	0x9000ecca start_wqthread + 30

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000001  ebx: 0x91f4a56c  ecx: 0x00000000  edx: 0x00000000
  edi: 0x9a3c6459  esi: 0x01344420  ebp: 0xbfffc778  esp: 0xbfffc770
   ss: 0x00000023  efl: 0x00000282  eip: 0x94d60947   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000000   gs: 0x0000000f
  cr2: 0x03e28000
Logical CPU: 0

Binary Images:
    0x1000 -     0x1ff7 +Python (???) <29B5B804-F1D9-9479-C323-93A3CDC57AFB> /Applications/Python 2.7/IDLE.app/Contents/MacOS/Python
    0x4000 -   0x143fef +org.python.python (2.7.3, [c] 2004-2012 Python Software Foundation. - 2.7.3) <FD99E7D3-6074-3407-CDCA-60325EEF10B0> /Library/Frameworks/Python.framework/Versions/2.7/Python
  0x2cb000 -   0x2d2ff7 +_tkinter.so (???) <2203E5FF-8BB5-890A-AADE-D6A2DD3660C8> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_tkinter.so
  0x2f9000 -   0x2faff7 +_functools.so (???) <16121BC9-08BF-E95C-B0B5-0658E1C35A6E> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_functools.so
  0x2fd000 -   0x2fdff7 +_bisect.so (???) <FCF7A934-E8FC-5758-F03E-367FACD849B4> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_bisect.so
  0x476000 -   0x547ff7 +Tcl (8.5.12 - 8.5.12) <00EBD0B6-82ED-061A-624C-5B6CF37404A7> /Library/Frameworks/Tcl.framework/Versions/8.5/Tcl
  0x571000 -   0x66fff7 +Tk (8.5.12 - 8.5.12) <F87FEF34-B94E-1885-7B8F-951C9CF49D58> /Library/Frameworks/Tk.framework/Versions/8.5/Tk
  0x71c000 -   0x71fff7 +strop.so (???) <F29398D5-4ACC-6CA8-23CB-E8AF85FCCE1B> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/strop.so
  0x724000 -   0x72bff7 +_socket.so (???) <B9C33EDF-B2FB-FB9D-5959-85B3F23E66A7> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_socket.so
  0x733000 -   0x737ff7 +_ssl.so (???) <4D9F69F6-22BE-925B-0DE2-4543AC97670B> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ssl.so
  0x73c000 -   0x73dff7 +cStringIO.so (???) <B648D1B6-1840-82FA-55B1-D110674480F1> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cStringIO.so
  0x741000 -   0x742ff7 +time.so (???) <D442DC31-686C-258A-22C8-7D392C764AE0> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/time.so
  0x787000 -   0x78aff7 +_collections.so (???) <B2C89359-7BED-B145-B18D-B0BBA2C71922> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_collections.so
  0x78f000 -   0x792ff7 +operator.so (???) <500ED0D7-8256-9177-FFBE-A062C8D4B5B1> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/operator.so
  0x798000 -   0x79dff7 +itertools.so (???) <0AF90C35-D9B1-ED5D-D858-1EE69365C494> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/itertools.so
  0x7a5000 -   0x7a6ff7 +_heapq.so (???) <5EADF056-B563-A561-7233-80BA83EB32FD> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_heapq.so
  0x7aa000 -   0x7acff7 +select.so (???) <D467F68F-253A-8C39-E47E-4B32C89E572B> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/select.so
  0x7b1000 -   0x7b2ff7 +fcntl.so (???) <7088363F-1775-BA36-C287-17FD8AF19CA3> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/fcntl.so
  0x7f5000 -   0x7f8ff7 +_struct.so (???) <D316ACA7-7AE6-9231-F29C-C31C480FCAEC> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_struct.so
 0x1760000 -  0x1762fe7 +binascii.so (???) <0D4871C8-B6E6-CC90-A85F-69C3237D20A8> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/binascii.so
 0x17e6000 -  0x17eaff7 +math.so (???) <8D0974C4-045D-7BAA-49A3-9F0EEEA93FF1> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/math.so
 0x17ef000 -  0x17f0ff7 +_hashlib.so (???) <77A9F87D-DD81-778A-2F30-103E258B42C0> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_hashlib.so
 0x17f4000 -  0x17f5ff7 +_random.so (???) <9AED8CAA-DAB6-4C13-4C48-5D6D19D84976> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_random.so
 0x17f8000 -  0x17f9ff7 +_locale.so (???) <1E2000E4-CA1B-1FE1-4196-10CDBA41FEDE> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_locale.so
 0x2240000 -  0x224eff7 +cPickle.so (???) <42F1F3CA-20AA-D04F-62ED-833137B12B6D> /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cPickle.so
 0x22ba000 -  0x22c7ff3  com.apple.Librarian (1.1 - 1) <88A55A5E-40FF-3234-8394-2317120B79AB> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
 0x22f2000 -  0x22f4fff  libCoreFSCache.dylib (24.4) <A089ED2E-0156-3937-BE32-5BED76DF4066> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
 0x22fb000 -  0x22fbff7 +cl_kernels (???) <73336EEE-EACC-468C-887B-2CE5E1754497> cl_kernels
 0x3e15000 -  0x3e1dffc  libcldcpuengine.dylib (2.1.19) <E5429AB3-FE28-3C0C-8942-686BB4191A9E> /System/Library/Frameworks/OpenCL.framework/Libraries/libcldcpuengine.dylib
 0x57fa000 -  0x57fbff5 +cl_kernels (???) <463016D5-EB14-4B36-8313-A61656D10AE2> cl_kernels
 0x68f2000 -  0x68f3ff1 +cl_kernels (???) <0795B9F8-EECA-4C88-83D3-2D44F9092462> cl_kernels
 0x7c0f000 -  0x7ca1ff7  unorm8_bgra.dylib (2.1.19) <A2C66114-F581-3D86-9BC9-9994156640AF> /System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_bgra.dylib
 0x7ff9000 -  0x7ffaffd +cl_kernels (???) <9C926F47-0EC5-49C9-83F6-516C4A596F6E> cl_kernels
 0xa000000 -  0xa092ff7  unorm8_argb.dylib (2.1.19) <1B67DB26-5B5D-3600-8049-D744F133BEB1> /System/Library/Frameworks/OpenCL.framework/Libraries/ImageFormats/unorm8_argb.dylib
0x8fefb000 - 0x8ff2de57  dyld (210.2.3) <23516BE4-29BE-350C-91C9-F36E7999F0F1> /usr/lib/dyld
0x90007000 - 0x9000dfff  com.apple.phonenumbers (1.1 - 47) <DD22B3D1-DA4B-3794-9D73-E90D49A1F88E> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
0x9000e000 - 0x900cbfeb  libsystem_c.dylib (825.25) <B1F6916A-F558-38B5-A18C-D9733625FDC9> /usr/lib/system/libsystem_c.dylib
0x900cc000 - 0x90130ff3  libstdc++.6.dylib (56) <F8FA490A-8F3C-3645-ABF5-78926CE9C62C> /usr/lib/libstdc++.6.dylib
0x90131000 - 0x90137fff  libGFXShared.dylib (8.6.1) <E32A7266-FCDD-352C-9C2A-8939265974AF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x90138000 - 0x90162ff9  com.apple.framework.Apple80211 (8.0.1 - 801.17) <8A8BBBFD-496B-35A6-A26E-ADF8D672D908> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
0x90163000 - 0x902dbff5  com.apple.QuartzCore (1.8 - 304.0) <0B0EC55A-9084-3E28-9A84-1813CE3FAA9B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x902dc000 - 0x90333ff3  com.apple.Suggestions (2.0 - 102.1) <AA369EDE-913D-3C0D-8CE1-92C1C171CCA7> /System/Library/PrivateFrameworks/Suggestions.framework/Versions/A/Suggestions
0x90334000 - 0x90350ff7  libPng.dylib (845) <14C43094-C670-3575-BF9B-3A967E05EAC0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x90351000 - 0x90656ff7  com.apple.CoreServices.CarbonCore (1037.3 - 1037.3) <4571EDDC-704A-3FB1-B9A6-59870AA6165F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90657000 - 0x9070bfff  com.apple.coreui (2.0 - 181.1) <C15ABF35-B7F5-34ED-A461-386DAF65D96B> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x9070c000 - 0x90767ff7  com.apple.AppleVAFramework (5.0.18 - 5.0.18) <4BA2AAEA-4936-375C-B4D8-4BBE2EDC7FF5> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x90768000 - 0x907c2fff  com.apple.Symbolication (1.3 - 93) <684ECF0D-D416-3DF8-8B5B-3902953853A8> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x907c3000 - 0x9080aff3  com.apple.CoreMedia (1.0 - 926.62) <69B3835E-C02F-3935-AD39-83F8E81FB780> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
0x9080b000 - 0x9080cffd  com.apple.TrustEvaluationAgent (2.0 - 23) <E42347C0-2D3C-36A4-9200-757FFA61B388> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x9080d000 - 0x90851fff  libGLU.dylib (8.6.1) <06BAFDCA-800C-35E3-B1A3-F05E105B86AB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x90852000 - 0x90c35ff3  com.apple.HIToolbox (2.0 - 625) <5A312E41-9940-363E-B891-90C4672E6850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x90c36000 - 0x90cbefff  com.apple.PDFKit (2.7.2 - 2.7.2) <7AE7BAE9-4C21-3BFB-919E-5C6EEBBDFF75> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x90ce5000 - 0x90cfcff4  com.apple.CoreMediaAuthoring (2.1 - 914) <37C0A2C7-73B3-39BC-8DE1-4A6B75F115FC> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
0x91405000 - 0x91406fff  libdnsinfo.dylib (453.18) <41C7B8E2-2A81-31DE-BD8B-F0C29E169D4F> /usr/lib/system/libdnsinfo.dylib
0x91407000 - 0x914a7ff7  com.apple.QD (3.42 - 285) <1B8307C6-AFA8-312E-BA5B-679070EF2CA1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x914a8000 - 0x914b4ffa  com.apple.CrashReporterSupport (10.8.2 - 415) <BAE9900A-51E7-3AD4-A7FB-7E6CCFFB2F21> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x914b5000 - 0x914b5fff  libkeymgr.dylib (25) <D5E93F7F-9315-3AD6-92C7-941F7B54C490> /usr/lib/system/libkeymgr.dylib
0x914b6000 - 0x914bcfff  com.apple.print.framework.Print (8.0 - 258) <12AEAD24-6924-3923-9E4A-C5D21231E639> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x914cb000 - 0x914ccfff  libremovefile.dylib (23.1) <98622D14-DAAB-3AD8-A5D9-C322BF572A98> /usr/lib/system/libremovefile.dylib
0x914d3000 - 0x914deffb  com.apple.DirectoryService.Framework (10.8 - 151.10) <234F4A14-60ED-300B-93B2-D5052878558F> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x914df000 - 0x914edfff  com.apple.opengl (1.8.6 - 1.8.6) <1AD1AE7B-B57B-35B5-B571-32A34F0DA737> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x914ee000 - 0x914fbff7  com.apple.AppleFSCompression (49 - 1.0) <166AA1F8-E50A-3533-A3B5-8737C5118CC3> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
0x914fc000 - 0x914fdfff  libsystem_sandbox.dylib (220) <4E42390B-25EC-3530-AF01-337E430C16EB> /usr/lib/system/libsystem_sandbox.dylib
0x914fe000 - 0x91505fff  liblaunch.dylib (442.26.2) <310C99F8-0811-314D-9BB9-D0ED6DFA024B> /usr/lib/system/liblaunch.dylib
0x91506000 - 0x91508fff  libdyld.dylib (210.2.3) <05D6FF2A-F09B-309D-95F7-7AF10259C707> /usr/lib/system/libdyld.dylib
0x91509000 - 0x9150afff  libDiagnosticMessagesClient.dylib (8) <39B3D25A-148A-3936-B800-0D393A00E64F> /usr/lib/libDiagnosticMessagesClient.dylib
0x9150b000 - 0x91515fff  libCSync.A.dylib (324.6) <D2E8AC70-C6D1-3C40-8A82-E50422EDCFBF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x91516000 - 0x9188eff3  com.apple.FinderKit (1.1.1 - 1.1.1) <5868FEF0-E512-3E22-91FF-7AFE4F7580A1> /System/Library/PrivateFrameworks/FinderKit.framework/Versions/A/FinderKit
0x91899000 - 0x91913ff7  com.apple.securityfoundation (6.0 - 55115.4) <A959B2F5-9D9D-3C93-A62A-7399594CF238> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x91914000 - 0x91962ffb  libFontRegistry.dylib (100) <3B8350C2-4D8F-38C4-A22E-2F855D7E83D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x91963000 - 0x91988ff7  com.apple.CoreVideo (1.8 - 99.3) <5B872AC0-E82D-3475-A3F9-FD95F380560D> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x91989000 - 0x9198cff7  libcompiler_rt.dylib (30) <CE5DBDB4-0124-3E2B-9105-989DF98DD108> /usr/lib/system/libcompiler_rt.dylib
0x91991000 - 0x91accff7  libBLAS.dylib (1073.4) <FF74A147-05E1-37C4-BC10-7DEB57FE5326> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x91acd000 - 0x91b0cff7  com.apple.bom (12.0 - 192) <0637E52C-D151-37B3-904F-8656B2FD44DD> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
0x91b0d000 - 0x91be1fff  com.apple.backup.framework (1.4.1 - 1.4.1) <55F2A679-9B21-3F43-A580-4C2ECF6A5FC5> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x91be2000 - 0x91be2ffe  com.apple.AOSMigrate (1.0 - 1) <4EA0829E-6AE5-3877-A5B6-032AFDF28D39> /System/Library/PrivateFrameworks/AOSMigrate.framework/Versions/A/AOSMigrate
0x91bf2000 - 0x91c1fffe  libsystem_m.dylib (3022.6) <9975D9C3-3B71-38E3-AA21-C5C5F9D9C431> /usr/lib/system/libsystem_m.dylib
0x91c20000 - 0x91c88fe7  libvDSP.dylib (380.6) <55780308-4DCA-3B10-9703-EAFC3E13A3FA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91cb8000 - 0x91ce7ff7  com.apple.securityinterface (6.0 - 55024.4) <7C5E28DC-F8BE-3238-883F-E1646A2AF895> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x91ce8000 - 0x91cf2fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <B855E8B4-2EE3-3BFF-8547-98A0F084F9AF> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x91cf3000 - 0x928afffb  com.apple.AppKit (6.8 - 1187.34) <06EDB1D1-3B8A-3699-8E3A-D8F50A27AB7C> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x928b0000 - 0x928b7fff  libsystem_dnssd.dylib (379.32.1) <6A505284-2382-3F27-B96F-15FFDACF004E> /usr/lib/system/libsystem_dnssd.dylib
0x928ba000 - 0x928d9ff3  com.apple.Ubiquity (1.2 - 243.10) <D2C9F356-1681-31D2-B292-5227E2DDEB0B> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
0x928da000 - 0x928dcffb  libRadiance.dylib (845) <3F87840F-217D-3074-A29D-919BAAED2F4A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x928dd000 - 0x928ddfff  com.apple.ApplicationServices (45 - 45) <677C4ACC-9D12-366F-8A87-B898AC806DD9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x928de000 - 0x92c71ffb  com.apple.MediaToolbox (1.0 - 926.62) <7290B07B-4D03-3B46-809C-64C8FB97B40C> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x92c72000 - 0x92c8cffc  libsystem_kernel.dylib (2050.18.24) <C17D49D0-7961-3B67-B443-C788C6E5AA76> /usr/lib/system/libsystem_kernel.dylib
0x92c8d000 - 0x92c9ffff  libbsm.0.dylib (32) <DADD385E-FE53-3458-94FB-E316A6345108> /usr/lib/libbsm.0.dylib
0x92ca0000 - 0x92d06ffc  com.apple.ISSupport (1.9.8 - 56) <D2AC4E10-0B3C-3194-AEB7-1E9964CBC0D0> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x92d07000 - 0x92d8cff7  com.apple.SearchKit (1.4.0 - 1.4.0) <454E950F-291C-3E95-8F35-05CA0AD6B327> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x92d8d000 - 0x92d90ff7  com.apple.TCC (1.0 - 1) <437D76CD-6437-3B55-BE2C-A53508858256> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
0x92d91000 - 0x92de0ff6  libTIFF.dylib (845) <989A2EB9-3A49-3157-8E9C-B16E6005BC64> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x92e0d000 - 0x92e0dffd  libOpenScriptingUtil.dylib (148.2) <907E25B1-4F50-3461-B8D5-733C687EB534> /usr/lib/libOpenScriptingUtil.dylib
0x92e0e000 - 0x92e5cff3  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <7BA6C58B-0357-356F-BB69-17ACB5E35988> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x92e5d000 - 0x92e90ff5  libssl.0.9.8.dylib (47) <3224FBB3-3074-3022-AD9A-187703680C03> /usr/lib/libssl.0.9.8.dylib
0x92edd000 - 0x92ee9ff7  com.apple.NetAuth (4.0 - 4.0) <4983C4B8-9D95-3C4D-897E-07743326487E> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x92eea000 - 0x92f63ff0  com.apple.CorePDF (2.0 - 2) <6B5BF755-F336-359C-9A99-F006F61442CF> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
0x92f64000 - 0x92f81fff  libCRFSuite.dylib (33) <C9D72D0C-871A-39A2-8AFB-682D11AE7D0D> /usr/lib/libCRFSuite.dylib
0x92f82000 - 0x9309aff7  com.apple.coreavchd (5.6.0 - 5600.4.16) <F024C78B-4FAA-38F1-A182-AD0A0A596CBE> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
0x9309b000 - 0x930c4fff  libxslt.1.dylib (11.3) <0DE17DAA-66FF-3195-AADB-347BEB5E2EFA> /usr/lib/libxslt.1.dylib
0x930c5000 - 0x930f8ff3  com.apple.GSS (3.0 - 2.0) <B1D719C1-B000-3BE3-B747-329D608585DD> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x93136000 - 0x93366fff  com.apple.QuartzComposer (5.1 - 284) <4E8682B7-EBAE-3C40-ABDB-8705EC7952BD> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x93367000 - 0x9336aff3  com.apple.AppleSystemInfo (2.0 - 2) <4639D755-8A68-31C9-95C4-7E7F70C233FA> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
0x9336b000 - 0x9336bfff  com.apple.Cocoa (6.7 - 19) <354094F0-F36B-36F9-BF5F-FD60590FBEB9> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9339d000 - 0x933a6ffd  com.apple.audio.SoundManager (4.0 - 4.0) <ABC5FE40-B222-36EB-9905-5C8C4BFD8C87> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x933a7000 - 0x933d3ff7  libsystem_info.dylib (406.17) <AA5611DB-A944-3072-B6BE-ACAB08689547> /usr/lib/system/libsystem_info.dylib
0x933d4000 - 0x9362cff1  com.apple.JavaScriptCore (8536 - 8536.26.7) <75629E05-65FE-3699-8CDC-80C95015CF42> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x9362d000 - 0x9368afff  com.apple.audio.CoreAudio (4.1.0 - 4.1.0) <9549B81F-4425-34EE-802B-F462068DC0C5> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x93697000 - 0x936d9ff7  libauto.dylib (185.1) <B2B5B639-6778-352A-828D-FD8B64A3E8B3> /usr/lib/libauto.dylib
0x93778000 - 0x937a5ffb  com.apple.CoreServicesInternal (154.2 - 154.2) <DCCF604B-1DB8-3F09-8122-545E2E7F466D> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x937a6000 - 0x937cbffb  com.apple.framework.familycontrols (4.1 - 410) <5A8504E7-D95D-3101-8E20-38EADE8DEAE1> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x937cc000 - 0x937d6fff  libsystem_notify.dylib (98.5) <7EEE9475-18F8-3099-B0ED-23A3E528ABE0> /usr/lib/system/libsystem_notify.dylib
0x937d7000 - 0x938cbff3  com.apple.QuickLookUIFramework (4.0 - 555.4) <D66F61A6-2C4C-359F-A2E3-7D023C33CB5A> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x938cc000 - 0x93f58feb  com.apple.CoreAUC (6.16.00 - 6.16.00) <654A0AB8-F24F-3489-8F70-F0A22414FE08> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x93f59000 - 0x93f79ffd  com.apple.ChunkingLibrary (2.0 - 133.2) <FE5F0F1E-B15D-3F76-8655-DC2FE19BF56E> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
0x93f7a000 - 0x93f7dfff  com.apple.help (1.3.2 - 42) <AD7EB1F0-A068-3A2C-9D59-38E59CEC0D96> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93faf000 - 0x93fbdff7  libz.1.dylib (43) <245F1B61-2276-3BBB-9891-99934116D833> /usr/lib/libz.1.dylib
0x93fbe000 - 0x93fe3ff7  com.apple.quartzfilters (1.8.0 - 1.7.0) <F6A88D89-AB4A-3217-9D65-C2C259B5F09B> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x93fe4000 - 0x93febff3  com.apple.NetFS (5.0 - 4.0) <1F7041F2-4E97-368C-8F5D-24153D81BBDB> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x93fec000 - 0x94015ff7  libRIP.A.dylib (324.6) <7976E6A2-A489-33F5-A727-7634DDE3B761> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x94016000 - 0x94023fff  libGL.dylib (8.6.1) <C7A3917A-C444-33CC-8599-BB9CD8C12BC4> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x94024000 - 0x940a0ff3  com.apple.Metadata (10.7.0 - 707.3) <6B6A6216-23D0-34CE-8099-BEE9BA42501E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x940a1000 - 0x940acfff  libcommonCrypto.dylib (60026) <A6C6EDB8-7E69-3827-81F3-9A74D0935461> /usr/lib/system/libcommonCrypto.dylib
0x940ad000 - 0x94104ff7  com.apple.ScalableUserInterface (1.0 - 1) <2B5E454B-BC49-3E85-B54D-1950397C448C> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
0x94105000 - 0x9410fffe  com.apple.bsd.ServiceManagement (2.0 - 2.0) <9732BA61-D6F6-3644-82DA-FF0D6FEEFC69> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
0x94110000 - 0x941e6fff  com.apple.DiscRecording (7.0 - 7000.2.4) <C14E99B9-DEFA-3812-89E5-464653B729F4> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
0x941e7000 - 0x945e3feb  com.apple.VideoToolbox (1.0 - 926.62) <B09EEF06-CB3C-3EAA-8B0E-22A1801F3CAE> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x945e4000 - 0x946dcff9  libsqlite3.dylib (138.1) <AD7C5914-35F0-37A3-9238-A29D2E26C755> /usr/lib/libsqlite3.dylib
0x9475a000 - 0x9475effe  libcache.dylib (57) <834FDCA7-FE3B-33CC-A12A-E11E202477EC> /usr/lib/system/libcache.dylib
0x9475f000 - 0x94761fff  libCVMSPluginSupport.dylib (8.6.1) <8A174BD9-992E-351D-8F9A-DF6991723ABE> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x94762000 - 0x949deff7  com.apple.QuickTime (7.7.1 - 2599.13) <FE609160-E1EF-341D-9B6A-205D3E03A4D2> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x949df000 - 0x949e2ffd  libCoreVMClient.dylib (24.4) <C54E8FD0-61EC-3DC8-8631-54288AC66AC8> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x949e3000 - 0x94b9fffd  libicucore.A.dylib (491.11.1) <B19E450A-BAF1-3967-9C95-7F77DC0B4639> /usr/lib/libicucore.A.dylib
0x94ba0000 - 0x94bc4fff  com.apple.PerformanceAnalysis (1.16 - 16) <18DE0F9F-1264-394D-AC56-6B2A1771DFBE> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x94bd3000 - 0x94c23ff7  com.apple.CoreMediaIO (301.0 - 4147) <F13FA9D4-BD1D-3297-BDD5-5858B231D738> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
0x94c24000 - 0x94e0cff3  com.apple.CoreFoundation (6.8 - 744.12) <E939CEA0-493C-3233-9983-5070981BB350> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x94e0d000 - 0x9522afff  FaceCoreLight (2.4.1) <571DE3F8-CA8A-3E71-9AF4-F06FFE721CE6> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
0x95232000 - 0x9554fff3  com.apple.Foundation (6.8 - 945.11) <03B242AC-519C-3683-AA52-E73536B3D55F> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x95550000 - 0x956adffb  com.apple.QTKit (7.7.1 - 2599.13) <2DC9E2BB-9895-3D02-A318-88431052E70B> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x956ae000 - 0x95806ffb  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <9205DFC2-8DAE-354E-AD87-46E229B5F2F1> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x95807000 - 0x9582bfff  libJPEG.dylib (845) <547FA9A5-0BBB-3E39-BACA-F3E2DAE57DB0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9582e000 - 0x958c5ff7  com.apple.ink.framework (10.8.2 - 150) <D90FF7BC-6B90-39F1-AC52-670269947C58> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x958c6000 - 0x958caffc  libGIF.dylib (845) <714E9F0D-D7A3-3F58-B46E-FCBE0F144B23> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x958cb000 - 0x958cffff  com.apple.IOSurface (86.0.3 - 86.0.3) <E3A4DB0A-1C1A-31E3-A550-5C0E1C874509> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x958d0000 - 0x958e6fff  com.apple.CFOpenDirectory (10.8 - 151.10) <56C3F276-BD1F-3031-8CF9-8F4F481A534E> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x958e7000 - 0x958ebfff  com.apple.CommonPanels (1.2.5 - 94) <6B3E7E53-7708-3DA2-8C50-59C2B4735DE1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x958ec000 - 0x9594efff  libc++.1.dylib (65.1) <C0CFF9FF-5D52-3EAE-B921-6AE1DA00A135> /usr/lib/libc++.1.dylib
0x9594f000 - 0x95991fff  libcurl.4.dylib (69.2) <8CC566A0-0B25-37E8-A6EC-30074C3CDB8C> /usr/lib/libcurl.4.dylib
0x959e9000 - 0x95a83fff  com.apple.CoreSymbolication (3.0 - 87) <6A27BBE5-6EF0-3D5D-A485-2145826B9796> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x95a84000 - 0x95a8cfff  com.apple.DiskArbitration (2.5.1 - 2.5.1) <25A7232F-9B6A-3746-A3A8-12479D086B1E> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x95a8d000 - 0x95d18ff3  com.apple.RawCamera.bundle (4.00 - 658) <53F1DB23-B58B-3EAF-9D1E-95C34E669DDB> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x95d19000 - 0x95d62ff7  com.apple.framework.CoreWLAN (3.0.1 - 301.11) <ABA6A926-34C2-3C09-AD9F-A87A8A35536A> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
0x95d63000 - 0x95da8ff5  com.apple.opencl (2.1.20 - 2.1.20) <41C4AE6E-67B6-33E2-A9B6-BF6F01580B16> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x95da9000 - 0x96069fff  com.apple.security (7.0 - 55179.1) <CB470E48-621B-34D9-9E78-8B773358CB6B> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9606a000 - 0x96102fff  com.apple.CoreServices.OSServices (557.4 - 557.4) <C724AB29-A596-3E1E-9FF1-A4E509AD843A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x96103000 - 0x96221ff7  com.apple.MediaControlSender (1.4.5 - 145.3) <E0931EE7-4ACA-3538-9658-B9B2AC1E6A80> /System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender
0x96222000 - 0x96320ff7  libFontParser.dylib (84.5) <B3006327-7B2D-3966-A56A-BD85F1D71641> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x96321000 - 0x9632fff3  libsystem_network.dylib (77.10) <7FBF5A15-97BA-3721-943E-E77F0C40DBE1> /usr/lib/system/libsystem_network.dylib
0x96330000 - 0x96343ff9  com.apple.MultitouchSupport.framework (235.28 - 235.28) <5C8CFA21-D4FC-32E8-B199-0F7155E6ED9A> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x96344000 - 0x9639dff7  com.apple.ImageCaptureCore (5.0.1 - 5.0.1) <541529F7-063E-370B-9EB2-DF5BE39073E6> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
0x9639e000 - 0x9639efff  com.apple.quartzframework (1.5 - 1.5) <9018BE5B-4070-320E-8091-6584CC17F798> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x963a2000 - 0x963a2fff  libsystem_blocks.dylib (59) <3A743C5D-CFA5-37D8-80A8-B6795A9DB04F> /usr/lib/system/libsystem_blocks.dylib
0x963a3000 - 0x96418ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <95206704-F9C9-33C4-AF25-FE9890E160B2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x96419000 - 0x96502ff7  libxml2.2.dylib (22.3) <015A4FA6-5BB9-3F95-AFB8-B9281E22685B> /usr/lib/libxml2.2.dylib
0x96503000 - 0x96534fff  com.apple.DictionaryServices (1.2 - 184.4) <0D5BE86F-F40A-3E39-8569-19FCA5EDF9D3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x96535000 - 0x96626ffc  libiconv.2.dylib (34) <B096A9B7-83A6-31B3-8D2F-87D91910BF4C> /usr/lib/libiconv.2.dylib
0x96627000 - 0x96668ff7  libcups.2.dylib (327) <F46F8703-FEAE-3442-87CB-45C8BF98BEE5> /usr/lib/libcups.2.dylib
0x96669000 - 0x96669fff  com.apple.CoreServices (57 - 57) <956C6C6D-A5DD-314F-9C57-4A61D41F30CE> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9666a000 - 0x96aacfff  com.apple.CoreGraphics (1.600.0 - 324.6) <66556166-F9A7-3EEC-A562-46061C7A79E4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x96aad000 - 0x96b13fff  com.apple.print.framework.PrintCore (8.1 - 387.1) <F8CF762B-B707-3021-958F-BB8D33DB3576> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x96b14000 - 0x96b55ff7  com.apple.framework.CoreWiFi (1.0 - 100.10) <944B3FAE-F901-3276-A676-9D52295DA817> /System/Library/Frameworks/CoreWiFi.framework/Versions/A/CoreWiFi
0x96b56000 - 0x96b5fff3  com.apple.DisplayServicesFW (2.6.1 - 353) <50D0BBF0-F911-380F-B470-E59B5E48E520> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x97899000 - 0x97b84ff7  com.apple.AOSKit (1.05 - 151) <F470C45E-620C-3FF2-AB1C-2D57FCD215E7> /System/Library/PrivateFrameworks/AOSKit.framework/Versions/A/AOSKit
0x97b85000 - 0x97b9afff  com.apple.ImageCapture (8.0 - 8.0) <B8BD421F-D5A9-3FB4-8E89-AD5CFC0D4030> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x97b9b000 - 0x97bb8fff  libxpc.dylib (140.41) <1BFE3149-C242-3A77-9729-B00DEDC8CCF2> /usr/lib/system/libxpc.dylib
0x97bb9000 - 0x97beeff7  com.apple.framework.internetaccounts (2.1 - 210) <8F2D0EB8-C997-3833-AA80-95AF7AA377BE> /System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts
0x97bef000 - 0x97c34ff7  com.apple.NavigationServices (3.7 - 200) <F6531764-6E43-3AF3-ACDD-8A5551EF016A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x984b2000 - 0x984cbfff  com.apple.Kerberos (2.0 - 1) <9BDE8F4D-DBC3-34D1-852C-898D3655A611> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x984cc000 - 0x984d5ffe  com.apple.aps.framework (3.0 - 3.0) <09D5F4F3-03FD-3077-A51D-B368F18ED1D4> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
0x984d6000 - 0x98516fff  com.apple.MediaKit (13 - 659) <37B8C1E3-B67D-3FE6-8A14-7FFD9F31C556> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
0x9855a000 - 0x98573ffb  com.apple.frameworks.preferencepanes (15.0 - 15.0) <802C922C-CF94-357F-B1AE-4244AA025C04> /System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
0x98574000 - 0x985affe7  libGLImage.dylib (8.6.1) <A3442557-18D5-332E-8859-423D5A20EBBE> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x985b2000 - 0x9861aff7  com.apple.framework.IOKit (2.0 - 755.18.10) <9A80E97E-544F-3A45-916D-6DB7ED217E33> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x9861b000 - 0x98630fff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <DE68CEB5-4959-3652-83B8-D2B00D3B932D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x98631000 - 0x9868afff  com.apple.AE (645.3 - 645.3) <6745659F-006D-3F25-94D6-DF944E9A01FD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9868d000 - 0x9873cff7  com.apple.CoreText (260.0 - 275.16) <873ADCD9-D361-3753-A220-CDD289196AD8> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x9873d000 - 0x98746ff9  com.apple.CommonAuth (3.0 - 2.0) <A1A6CC3D-AA88-3519-A305-9B5D76C5D63B> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
0x98747000 - 0x98759ff7  libdispatch.dylib (228.23) <86EF7D45-2D97-3465-A449-95038AE5DABA> /usr/lib/system/libdispatch.dylib
0x9875a000 - 0x9875afff  com.apple.Carbon (154 - 155) <604ADD9D-5835-3294-842E-3A4AEBCCB548> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9875b000 - 0x98972fff  com.apple.CoreData (106.1 - 407.7) <17FD06D6-AD7C-345A-8FA4-1F0FBFF4DAE1> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x98973000 - 0x98c0cff3  com.apple.AddressBook.framework (7.1 - 1167) <AF7B18F2-D0FF-33AA-9CE9-4106B1CDAE1D> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x98c0d000 - 0x98c1dff7  libsasl2.2.dylib (166) <D9080BA2-A365-351E-9FF2-7E0D4E8B1339> /usr/lib/libsasl2.2.dylib
0x98c1e000 - 0x98c35fff  com.apple.GenerationalStorage (1.1 - 132.2) <93694E0D-35D3-3633-976E-F354CBD92F54> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x98c36000 - 0x98cc8ffb  libvMisc.dylib (380.6) <6DA3A03F-20BE-300D-A664-B50A7B4E4B1A> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x98cc9000 - 0x98ccaffd  libunc.dylib (25) <58599CBF-E262-3CEA-AFE1-35560E0177DC> /usr/lib/system/libunc.dylib
0x98cd0000 - 0x98cd0fff  com.apple.Accelerate (1.8 - Accelerate 1.8) <4EC0548E-3A3F-310D-A366-47B51D5B6398> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x98cd1000 - 0x98ceeff7  libresolv.9.dylib (51) <B9742A2A-DF15-3F6E-8FCE-778A58214B3A> /usr/lib/libresolv.9.dylib
0x98cef000 - 0x98cf0fff  libquarantine.dylib (52) <D526310F-DC77-37EA-8F5F-83928EFA3262> /usr/lib/system/libquarantine.dylib
0x98eba000 - 0x9915dffb  com.apple.CoreImage (8.2.2 - 1.0.1) <85BFFB09-D765-3F5F-AF65-FB136DDCAEF3> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x9915e000 - 0x9927aff7  com.apple.desktopservices (1.7.2 - 1.7.2) <8E74D101-8398-34F1-A463-B4950680A597> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9927b000 - 0x99404ff7  com.apple.vImage (6.0 - 6.0) <1D1F67FE-4F75-3689-BEF6-4A46C8039E70> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x99405000 - 0x99460fff  com.apple.htmlrendering (77 - 1.1.4) <5C0C669F-AE07-3983-B38F-EB829B5CE609> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x99461000 - 0x9947fff3  com.apple.openscripting (1.3.6 - 148.2) <55738D66-CC15-3F43-9265-00C3322D39C4> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x99484000 - 0x99487ff9  libCGXType.A.dylib (324.6) <3004616B-51F6-3B9D-8B85-DCCA3DF9BC10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x99488000 - 0x99569fff  libcrypto.0.9.8.dylib (47) <D4EFFCFB-206D-3E3D-ADB5-CBAF04EB8838> /usr/lib/libcrypto.0.9.8.dylib
0x9956a000 - 0x995cefff  com.apple.datadetectorscore (4.0 - 269.1) <4D155F09-1A60-325A-BCAC-1B858C2C051B> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x995cf000 - 0x995d6ffb  libunwind.dylib (35.1) <E1E8D8B3-3C78-3AB1-B398-C180DC6DCF05> /usr/lib/system/libunwind.dylib
0x995d7000 - 0x99681fff  com.apple.LaunchServices (539.7 - 539.7) <AF33EBD3-BC0B-30B5-B7DA-5CCCF12D7EDD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x99682000 - 0x996f1ffb  com.apple.Heimdal (3.0 - 2.0) <1ABF438B-30E6-3165-968C-E2EA1A9DF1FD> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x996fa000 - 0x996fcfff  com.apple.securityhi (4.0 - 55002) <62E3AE75-61CB-341E-B2A0-CFC985A2BF7F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x996fd000 - 0x99732fff  libTrueTypeScaler.dylib (84.5) <2598F930-5E6B-37D7-B1E6-18181A972C6E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x99733000 - 0x99755fff  libc++abi.dylib (24.4) <06479DA4-BC23-34B6-BAFC-A885814261D0> /usr/lib/libc++abi.dylib
0x99756000 - 0x99757fff  liblangid.dylib (116) <E13CC8C5-5034-320A-A210-41A2BDE4F846> /usr/lib/liblangid.dylib
0x99758000 - 0x9978effb  com.apple.DebugSymbols (98 - 98) <9A9ADA0A-E487-3C8F-9998-286EE04C235A> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x99827000 - 0x9982bff7  libmacho.dylib (829) <5280A013-4F74-3F74-BE0C-7F612C49F1DC> /usr/lib/system/libmacho.dylib
0x9982c000 - 0x9982fffc  libpam.2.dylib (20) <FCF74195-A99E-3B07-8E49-688D4A6F1E18> /usr/lib/libpam.2.dylib
0x99830000 - 0x9993bff7  libJP2.dylib (845) <D409C913-6FA4-3D60-BFE0-B9FC6A02FEE0> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x9993c000 - 0x99948ff8  libbz2.1.0.dylib (29) <7031A4C0-784A-3EAA-93DF-EA1F26CC9264> /usr/lib/libbz2.1.0.dylib
0x99949000 - 0x99a45ff3  com.apple.DiskImagesFramework (10.8 - 344) <98C16F91-9D3E-3FD0-A30B-BD49EE4ED9A4> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
0x99a46000 - 0x99a4efff  com.apple.CommerceCore (1.0 - 26) <AF0D1990-8CBF-3AB4-99DF-8B7AE14FB0D5> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x99a4f000 - 0x99aa6ff3  com.apple.HIServices (1.20 - 417) <561A770B-8523-3D09-A763-11F872779A4C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x99aa7000 - 0x99aabfff  com.apple.OpenDirectory (10.8 - 151.10) <A1858D81-086F-3BF5-87E3-9B70409FFDF6> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x99aac000 - 0x99aacffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <4C13DEA2-1EB0-3D06-901A-DB93184C06F0> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x99aad000 - 0x99aadfff  com.apple.vecLib (3.8 - vecLib 3.8) <83160DD1-5614-3E34-80EB-97041016EF1F> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x99aae000 - 0x99afafff  libcorecrypto.dylib (106.2) <20EBADBA-D6D6-36F0-AE80-168E9AF13DB6> /usr/lib/system/libcorecrypto.dylib
0x99afb000 - 0x99b07ffe  libkxld.dylib (2050.18.24) <48A75AF6-9D5A-3552-948E-30A1682D3664> /usr/lib/system/libkxld.dylib
0x99b08000 - 0x99b08fff  libSystem.B.dylib (169.3) <81C58EAB-0E76-3EAB-BDFD-C5A6FE95536F> /usr/lib/libSystem.B.dylib
0x99b09000 - 0x99ec1ffa  libLAPACK.dylib (1073.4) <9A6E5EAD-F2F2-3D5C-B655-2B536DB477F2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x99ec2000 - 0x99f80ff3  com.apple.ColorSync (4.8.0 - 4.8.0) <EFEDCB37-4F20-3CEC-A185-5D2976E11BAC> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x99f83000 - 0x99fdcfff  com.apple.QuickLookFramework (4.0 - 555.4) <96911441-FDD4-3B68-9E0C-51BA11A97C2E> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x99fdd000 - 0x9a0eaff3  com.apple.ImageIO.framework (3.2.0 - 845) <BF959BCB-C30A-3680-B7C2-91B327B2B63B> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9a0eb000 - 0x9a358fff  com.apple.imageKit (2.2 - 667) <3F5F92DB-C0C0-3C5F-98C6-B84AB9E28B55> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x9a359000 - 0x9a390ffa  com.apple.LDAPFramework (2.4.28 - 194.5) <8368FAE7-2B89-3A7D-B6EE-7184B522CB66> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9a391000 - 0x9a39ffff  libxar.1.dylib (105) <343E4A3B-1D04-34A3-94C2-8C7C9A8F736B> /usr/lib/libxar.1.dylib
0x9a3a3000 - 0x9a3a3fff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <908B8D40-3FB5-3047-B482-3DF95025ECFC> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9a3a4000 - 0x9a3b4ff2  com.apple.LangAnalysis (1.7.0 - 1.7.0) <875363E7-6D02-3229-A9DD-E5A5568A7D61> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9a3b5000 - 0x9a4c2057  libobjc.A.dylib (532.2) <FA455371-7395-3D58-A89B-D1520612D1BC> /usr/lib/libobjc.A.dylib
0x9a4c3000 - 0x9a610ffb  com.apple.CFNetwork (596.2.3 - 596.2.3) <1221EF86-659B-3136-AB57-0CC6B130CDA2> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9a651000 - 0x9a659fff  libcopyfile.dylib (89) <4963541B-0254-371B-B29A-B6806888949B> /usr/lib/system/libcopyfile.dylib
0x9a65a000 - 0x9a69cffb  com.apple.RemoteViewServices (2.0 - 80.5) <60E04F2F-AFD8-3B1F-BF07-8A3A7EABB8E9> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 12
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 1299
    thread_create: 1
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=168.7M resident=90.6M(54%) swapped_out_or_unallocated=78.2M(46%)
Writable regions: Total=122.9M written=11.4M(9%) resident=41.1M(33%) swapped_out=0K(0%) unallocated=81.8M(67%)
 
REGION TYPE                      VIRTUAL
===========                      =======
CG backing stores                  6624K
CG image                             92K
CG shared images                   1184K
CoreServices                       3180K
MALLOC                             89.0M
MALLOC guard page                    48K
Memory tag=240                        4K
Memory tag=242                       12K
Memory tag=35                      3404K
OpenCL                               44K
Stack                              65.6M
VM_ALLOCATE                        16.2M
__DATA                             8164K
__DATA/__OBJC                       176K
__IMAGE                             528K
__LINKEDIT                         32.2M
__OBJC                             3060K
__OBJC/__DATA                        64K
__PAGEZERO                            4K
__TEXT                            136.5M
__UNICODE                           544K
mapped file                        79.2M
shared memory                      5928K
===========                      =======
TOTAL                             451.0M

Model: MacBookPro9,1, BootROM MBP91.00D3.B08, 4 processors, Intel Core i7, 2.6 GHz, 8 GB, SMC 2.1f170
Graphics: Intel HD Graphics 4000, Intel HD Graphics 4000, Built-In, 512 MB
Graphics: NVIDIA GeForce GT 650M, NVIDIA GeForce GT 650M, PCIe, 1024 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54333531533643465238432D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xF5), Broadcom BCM43xx 1.0 (5.106.98.81.22)
Bluetooth: Version 4.0.9f33 10885, 2 service, 11 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE SSD SM256E, 251 GB
Serial ATA Device: MATSHITADVD-R   UJ-8A8
USB Device: hub_device, 0x8087  (Intel Corporation), 0x0024, 0x1a100000 / 2
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0x1a120000 / 4
USB Device: hub_device, 0x0424  (SMSC), 0x2640, 0x1a121000 / 5
USB Device: Dell KM632 Wireless Keyboard and Mouse, 0x413c  (Dell Inc.), 0x2501, 0x1a121300 / 7
USB Device: Ultra Fast Media Reader, 0x0424  (SMSC), 0x4060, 0x1a121100 / 6
USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x8509, 0x1a110000 / 3
USB Device: hub_device, 0x8087  (Intel Corporation), 0x0024, 0x1d100000 / 2
USB Device: hub_device, 0x0424  (SMSC), 0x2513, 0x1d180000 / 3
USB Device: BRCM20702 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x1d181000 / 6
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x821d, 0x1d181300 / 8
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0252, 0x1d183000 / 5
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0x1d182000 / 4
msg172501 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-10-09 18:40
I've not seen any reports of this behavior before.  Can you try two things?  One, try temporarily disabling your current IDLE preferences. Quit IDLE, then from a terminal shell, type something like:

mv ~/.idlerc ~/.idlerc-disabled

then launch IDLE and try the paren again.  If that doesn't help, try temporarily disabling the ActiveState Tk.  Again, quit IDLE. Then, from a terminal shell:

cd /Library/Frameworks
sudo mv Tcl.framework Tcl-disabled
sudo mv Tk.framework Tk-disabled

Then try IDLE again.
msg172504 - (view) Author: Brian Keegan (brianckeegan) Date: 2012-10-09 18:55
I moved the idlerc to the disabled folder like you recommended and I
haven't been able to reproduce the error again. I'll cautiously take this
as an indication of a fix, but will update if it changes.

Thank you!

On Tue, Oct 9, 2012 at 2:40 PM, Ned Deily <report@bugs.python.org> wrote:

>
> Ned Deily added the comment:
>
> I've not seen any reports of this behavior before.  Can you try two
> things?  One, try temporarily disabling your current IDLE preferences. Quit
> IDLE, then from a terminal shell, type something like:
>
> mv ~/.idlerc ~/.idlerc-disabled
>
> then launch IDLE and try the paren again.  If that doesn't help, try
> temporarily disabling the ActiveState Tk.  Again, quit IDLE. Then, from a
> terminal shell:
>
> cd /Library/Frameworks
> sudo mv Tcl.framework Tcl-disabled
> sudo mv Tk.framework Tk-disabled
>
> Then try IDLE again.
>
> ----------
> nosy: +ned.deily
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16177>
> _______________________________________
>
msg172538 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-10-09 21:56
Brian, can you post the files from your .idlerc-disabled directory? The directory contains configuration text files. I want to find out what configuration caused the bug. (You may want to omit the recent-files.lst if you don't want to disclose that.)
msg172544 - (view) Author: Brian Keegan (brianckeegan) Date: 2012-10-10 00:00
Directory contents attached. I can provide the scripts listed there if you
believe they could somehow be a culprit as well. However, IDLE would still
crash with a vanilla shell on an open parens.

On Tue, Oct 9, 2012 at 5:56 PM, Roger Serwy <report@bugs.python.org> wrote:

>
> Roger Serwy added the comment:
>
> Brian, can you post the files from your .idlerc-disabled directory? The
> directory contains configuration text files. I want to find out what
> configuration caused the bug. (You may want to omit the recent-files.lst if
> you don't want to disclose that.)
>
> ----------
> nosy: +serwy
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16177>
> _______________________________________
>
msg172547 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-10-10 01:12
Thanks for the directory contents.

The only difference I see is the "encoding = locale" which could only be 
set manually since the configuration editor in IDLE does not offer a way 
of setting it.
msg177021 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-12-06 01:20
Added version 3.3 as reported in #16622.
msg187827 - (view) Author: Guilherme Simões (Guilherme.Simões) * Date: 2013-04-26 03:32
I couldn't confirm this bug in versions 2.7, 3.3 or 3.4 on the Mac even while using the same user configuration.
msg187962 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-04-28 04:43
Something that comes to mind: the stack traces in both issues show similar crashes where Tk is calling into OS X AppKit to create or modify a window.  Since a left paren is being typed, it seems to me the most likely scenario is that the left paren is completing a recognized token and IDLE is attempting to display a calltip (Lib/idlelib/CallTipWindow.py). That shouldn't be a problem, of course.  Also, note the exception class: NSInternalInconsistencyException.  That sounds suspicious.  I've found a few other reports, all from 10.8, of other non-Tk, non-Python apps with similar crashes.  I'm still not able to reproduce it myself.  Both reports here were with 10.8.2 and with ActiveTcl 8.5.11 or .12.  Can anyone reproduce the crash with the current 10.8.3 and ActiveTcl 8.5.13, which does contain some significant fixes for OS X?  And also, if so, verify that it is a calltip causing the problem?  To check that, in either an IDLE shell or edit window, typing ( at the beginning of a line should not cause a calltip to be created so, if there is a connection, there should not be a crash.  But then typing something like "open(" should cause a calltip to be created.  A crash of this sort is almost certainly a problem in either OS X or in Tk and not Python.  In any case, if we can't find a way to reproduce the problem reliably, there isn't much we can do about it.
msg188195 - (view) Author: Eric Schulz (lostdog) Date: 2013-04-30 23:31
I can repo with MacOS 10.8.3 and Tcl 8.5.13.  I'm fairly certian it is triggered by the calltip.  However, it is intermittent.  I can work for a while, get comfortable and let my guard down, then hit the crash.  Typically after I have a good amount of unsaved work.  Once I hit it, it'll repro easily for the rest of the day.

See excerpts below, full stack trace attached.
-----------------------

Process:         Python [1036]
Path:            /Applications/Python 2.7/IDLE.app/Contents/MacOS/Python
Identifier:      org.python.IDLE
Version:         2.7.3 (2.7.3)
Code Type:       X86 (Native)
Parent Process:  launchd [844]
User ID:         501

Date/Time:       2013-04-30 16:07:14.372 -0700
OS Version:      Mac OS X 10.8.3 (12D78)
Report Version:  10

Interval Since Last Report:          136409 sec
Crashes Since Last Report:           8
Per-App Interval Since Last Report:  82331 sec
Per-App Crashes Since Last Report:   5
Anonymous UUID:                      2FC95C75-D434-7DE8-F643-1CC8AA4EB026

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
*** Terminating app due to uncaught exception 'NSInternalInconsistencyException', reason: 'Error (1000) creating window shape'

<snip>
<snip>

  0x476000 -   0x547ff7 +Tcl (8.5.13 - 8.5.13) <5038805B-75D8-4B2F-ACE5-55397CE37577> /Library/Frameworks/Tcl.framework/Versions/8.5/Tcl
  0x571000 -   0x66ffe7 +Tk (8.5.13 - 8.5.13) <0F00C53A-5891-5B7A-1914-290EDC0E4612> /Library/Frameworks/Tk.framework/Versions/8.5/Tk
msg188202 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-05-01 03:48
Thanks for the report, Eric.  It confirms that the problem still exists with everything current.  I'm sorry you are hitting the crash.  Without being able to reliably reproduce the problem, it's difficult to be able to help.  Are there any hints you can give about what you were doing leading up to the crash, e.g. how many IDLE windows open, how large and where were they placed on the desktop, any hidden IDLE windows, how large a file if editing (is the window scrolling)?  The only other practical thing I can think of is to try a debug build of Python and of Tcl/Tk in the hopes of getting a more precise stack trace. (I could supply that.)  I suspect opening a Tk or an Apple incident without more to go will not be very productive.
msg228776 - (view) Author: Tom Goddard (goddard) Date: 2014-10-08 00:53
I've seen this crash about 50 times in the UCSF Chimera molecular visualization package, same traceback, and it is caused when a tooltip is raised, but not from IDLE.  The key observation is that it only happens on dual display systems where the second display is positioned partly or entirely above or to the left of the primary display.  An attempt to raise a tooltip on that second display causes a crash.  This seems almost certain to be a Mac Tk bug.  At first I thought it was caused by the x,y screen position of the tool tip being negative.  But when the second screen is arranged above the primary screen (in Mac display system preferences) the y position is which increases from bottom to top is something like 2000, not negative.  Currently my hunch is that the tooltip popup window was created for the primary display, and trying to position it on the secondary display is for some reason an error.  I don't know enough about the native Mac NSWindow to say anything definitive.

Hope this helps you to at least consistently reproduce the crash.
msg228777 - (view) Author: Tom Goddard (goddard) Date: 2014-10-08 01:05
More testing shows that this Mac Tk crash with dual displays only happens when the second display is partly or entirely above the primary display in the Mac display system preferences.  An attempt to show the tooltip on the second display above the top of the primary display a crash happens.  Contrary to my previous comment it does not appear to depend on whether the secondary display is to the right or to the left of the primary display.  Possibly the key factor is that the tooltip is being displayed above Mac top of (primary) screen menu bar.  It is possible that that is an Apple bug, rather than a Mac Tk bug.
msg228778 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-10-08 01:12
Tom, thanks for the detailed analysis.  It seems pretty clear that this is not a Python problem and there's really nothing we can do about it.  It would be great if you would be willing to open an issue on the Tcl/Tk project's issue tracker so that they are aware of it and perhaps can investigate it now that there might be a way to reliably reproduce the crash.  I'm going to close this issue under the assumption it is a Tk problem.  If it should prove otherwise, feel free to re-open.

http://core.tcl.tk/tcl/reportlist
msg228829 - (view) Author: Tom Goddard (goddard) Date: 2014-10-09 02:56
Ok I reported this as a Mac Tk bug and gave a very simple way to reproduce it.

	http://core.tcl.tk/tk/tktview?name=3Dc84f660833
msg228832 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-10-09 05:07
Thanks, Tom, nice writeup!  If any of the other people who have seen this crash are still around, it would be interesting to know if they also were using more than one monitor.
msg228868 - (view) Author: Brian Keegan (brianckeegan) Date: 2014-10-09 12:46
I was also using a dual-screen setup: laptop + external display.

On Thu, Oct 9, 2014 at 1:07 AM, Ned Deily <report@bugs.python.org> wrote:

>
> Ned Deily added the comment:
>
> Thanks, Tom, nice writeup!  If any of the other people who have seen this
> crash are still around, it would be interesting to know if they also were
> using more than one monitor.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16177>
> _______________________________________
>
msg228888 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-10-09 18:16
Thanks for the confirmation, Brian.  I certainly would not have thought to ask about multiple monitors.
History
Date User Action Args
2014-10-09 18:16:26ned.deilysetmessages: + msg228888
2014-10-09 12:46:37brianckeegansetmessages: + msg228868
2014-10-09 05:07:26ned.deilysetmessages: + msg228832
2014-10-09 02:56:33goddardsetmessages: + msg228829
2014-10-08 01:12:51ned.deilysetstatus: open -> closed
resolution: third party
messages: + msg228778

stage: test needed -> resolved
2014-10-08 01:05:07goddardsetmessages: + msg228777
2014-10-08 00:53:36goddardsetnosy: + goddard
messages: + msg228776
2013-05-01 03:48:18ned.deilysettitle: IDLE Crash on Open Parens -> Typing left parenthesis in IDLE causes intermittent Cocoa Tk crash on OS X
nosy: + wordtech

messages: + msg188202

components: - IDLE
stage: test needed
2013-04-30 23:31:56lostdogsetfiles: + issue16177_stack_trace.txt

messages: + msg188195
2013-04-28 04:43:12ned.deilysetmessages: + msg187962
2013-04-26 03:32:47Guilherme.Simõessetnosy: + Guilherme.Simões
messages: + msg187827
2013-04-26 02:35:37lostdogsetnosy: + lostdog
2012-12-06 01:20:16roger.serwysetnosy: + Steve.OBrien

messages: + msg177021
versions: + Python 3.3
2012-12-06 01:19:26roger.serwylinkissue16622 superseder
2012-10-10 01:12:38roger.serwysetmessages: + msg172547
2012-10-10 00:00:03brianckeegansetfiles: + .idlerc-disabled.zip

messages: + msg172544
2012-10-09 21:56:15roger.serwysetnosy: + roger.serwy
messages: + msg172538
2012-10-09 18:55:21brianckeegansetmessages: + msg172504
2012-10-09 18:40:31ned.deilysetnosy: + ned.deily
messages: + msg172501
2012-10-09 16:38:55brianckeegancreate